import { IAlert, IAlertProps } from "../../1properties/0define/1comp/alert";
import { IResult } from "src/4common/http";
interface PromptPro {
    message?: string;
    dialogClassName?: string;
    backdropClassName?: string;
    icon?: string;
    iconstyle?: string;
    input?: any;
    value?: any;
    width?: number;
    style?: any;
    validate?: Function;
}
export default class TwAlert {
    static success(message: string, info?: IAlert): void;
    static error(message: string, info?: IAlert): void;
    static info(message: string, info?: IAlert): void;
    static warning(message: string, info?: IAlert): void;
    static config(options: IAlertProps): void;
    static close(key?: string): void;
    static prompt(message: string, data?: PromptPro): Promise<IResult>;
    static modelData(message: string, resolve: any, reject: any, data?: any): {
        data: any;
        input: HTMLElement;
    };
    static confirm(message: string, data?: PromptPro): Promise<IResult>;
}
export {};
